* {
  font-size: var(--text-size-body);
}

.chips-container {
  display: flex;
  align-items: center;
  align-content: center;
  gap: 10px var(--spacing-minor-min, 10px);
  flex-wrap: wrap;
}

.chip {
  color: var(--Main-Foreground);
  display: flex;
  padding: var(--card-text-padding-vertical, 10px)
    var(--card-text-padding-horizontal, 15px);
  justify-content: center;
  align-items: center;
  gap: 10px;
  border-radius: 1000px;
  font-weight: 600;
  background: var(--Maximum-Background);
  box-shadow: var(--default-shadow);
}

.chip.show-all {
  margin-left: auto;
}

.chip.selected {
  background: var(--Main-Foreground);
  color: var(--Maximum-Background);
}

.chip.close-chip {
  align-self: center;
  display: flex;
  padding: var(--card-text-padding-vertical);
  justify-content: center;
  align-items: center;
  gap: 10px;
  background: var(--Maximum-Background);
  color: var(--Main-Foreground);
}

.chip.close-chip * {
  padding: 0;
  margin: 0;
  max-width: 1em;

  display: flex;
  justify-content: center;
  align-items: center;
}

.show-all-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  color: var(--Main-Foreground);
  font-weight: 600;
}

.chip-list {
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100%;
  transition:
    bottom 0.3s ease-in-out,
    transform 0.3s ease-in-out;
}

.chip-list-category-selected {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.625rem;
  position: relative;
}

.chip-list-column {
  flex-direction: column;
  align-items: flex-start;
  gap: 0.625rem;
}

.chip-list-row {
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.bottom-row {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: flex-end;
}

.bottom-column {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 0.625rem;
  align-items: flex-start;
}

.bottom-single-row {
  display: flex;
  width: 100%;
  justify-content: flex-end;
  align-items: flex-end;
}

button {
  z-index: 9999;
  min-height: 2.5rem;
  display: flex;
  padding: var(--spacing-small) var(--spacing-small) var(--spacing-small)
    var(--spacing-minor);
  justify-content: space-between;
  align-items: center;
  border-radius: 2.1875rem;
  max-width: 65%;
  border: none;
  cursor: pointer;
  color: unset;
  background: none;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.mainmap-button {
  color: #fff;
  background: var(--Color-Primary);
}

.soest-button {
  color: var(--Main-Foreground);
  background: var(--color-button-primary-normal, #fff);
}

.soest-back-button {
  padding: var(--spacing-small) var(--spacing-minor) var(--spacing-small)
    var(--spacing-small);
  z-index: 9999;
  position: relative;
  align-self: flex-start;
}

p {
  font-size: 1rem;
  font-weight: 600;
  margin: 0;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.mainmap-back-button {
  background: var(--Maximum-Background, #000);
  color: var(--Main-Foreground);
}

.custom-component-container {
  display: flex;
  flex-grow: 1;
}

.open-filter-button {
  color: var(--Main-Foreground);
  background: var(--color-button-primary-normal);
}
